import React from "react";
import styled from "styled-components";
import { dispatch, useCurrentRound } from "../../../domain/gameStore";
import DelayedButton from "../../util/DelayedButton";
import Button from "../../util/Button";


const FinishedButton = styled(Button)`
  margin-top: 5px;
  padding: 1em;
`

const NextButton = styled(DelayedButton)`
  margin-top: 5px;
  padding: 1em;
`

export default () => {
  // check the current round to see if game is done
  const currentRound = useCurrentRound();

  return (
    currentRound
      ? <NextButton onEnd={dispatch.startRound} countDownFormatter={rem => `Click to cancel, ${rem}s...`}>
          Next Round
        </NextButton>
      : <FinishedButton onClick={() => dispatch.goToSummary()}>
          View Summary
        </FinishedButton>
  );
}